import { Controller, Get, Render } from '@nestjs/common'

import { AllKeysProvider } from './keys/providers/all.provider.js'

@Controller()
export class ViewsController {
    constructor(private allKeysProvider: AllKeysProvider) {}

    @Get()
    @Render('index.html')
    index() {
        return { keys: this.allKeysProvider.getAll().map((x) => x.url) }
    }
}
